### Struct

# Gegl Random

since: 0.4

#### Description

    struct GeglRandom {
      /* No available fields */
    }

No description available.

Available since: 0.4

#### Constructors

###### gegl_random_new

Creates a new random number generator initialized with a random seed. This structure needs to be freed by the user with gegl_random_free();

since: 0.4

###### gegl_random_new_with_seed

Return an opaque structure associated to the seed. This structure needs to be freed by the user with gegl_random_free();

since: 0.4

#### Instance methods

###### gegl_random_duplicate

Return a new copy of an existing GeglRandom.

since: 0.4

###### gegl_random_float

Return a random floating point number in range 0.0 .. 1.0.

since: 0.4

###### gegl_random_float_range

Return a random floating point number in the range specified, for the given x,y coordinates and GeglRandom provided, if multiple different numbers are needed pass in incrementing n’s.

since: 0.4

###### gegl_random_free

Free a GeglRandom structure created with `gegl_random_new()` or `gegl_random_new_with_seed()`

since: 0.4

###### gegl_random_int

Return a random integer number in range 0 .. MAX_UINT.

since: 0.4

###### gegl_random_int_range

Return a random integer point number in the range specified, for the given x,y coordinates and GeglRandom provided, if multiple different numbers are needed pass in incrementing n’s.

since: 0.4

###### gegl_random_set_seed

Change the seed of an existing GeglRandom.

since: 0.4